Viewing docs for Oracle Cloud Infrastructure v4.4.0
published on Thursday, Mar 26, 2026 by Pulumi
published on Thursday, Mar 26, 2026 by Pulumi
Viewing docs for Oracle Cloud Infrastructure v4.4.0
published on Thursday, Mar 26, 2026 by Pulumi
published on Thursday, Mar 26, 2026 by Pulumi
This data source provides details about a specific Managed Database Alert Log Count resource in Oracle Cloud Infrastructure Database Management service.
Get the counts of alert logs for the specified Managed Database.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as oci from "@pulumi/oci";
const testManagedDatabaseAlertLogCount = oci.DatabaseManagement.getManagedDatabaseAlertLogCount({
managedDatabaseId: testManagedDatabase.id,
groupBy: managedDatabaseAlertLogCountGroupBy,
isRegularExpression: managedDatabaseAlertLogCountIsRegularExpression,
levelFilter: managedDatabaseAlertLogCountLevelFilter,
logSearchText: managedDatabaseAlertLogCountLogSearchText,
timeGreaterThanOrEqualTo: managedDatabaseAlertLogCountTimeGreaterThanOrEqualTo,
timeLessThanOrEqualTo: managedDatabaseAlertLogCountTimeLessThanOrEqualTo,
typeFilter: managedDatabaseAlertLogCountTypeFilter,
});
import pulumi
import pulumi_oci as oci
test_managed_database_alert_log_count = oci.DatabaseManagement.get_managed_database_alert_log_count(managed_database_id=test_managed_database["id"],
group_by=managed_database_alert_log_count_group_by,
is_regular_expression=managed_database_alert_log_count_is_regular_expression,
level_filter=managed_database_alert_log_count_level_filter,
log_search_text=managed_database_alert_log_count_log_search_text,
time_greater_than_or_equal_to=managed_database_alert_log_count_time_greater_than_or_equal_to,
time_less_than_or_equal_to=managed_database_alert_log_count_time_less_than_or_equal_to,
type_filter=managed_database_alert_log_count_type_filter)
package main
import (
"github.com/pulumi/pulumi-oci/sdk/v4/go/oci/databasemanagement"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := databasemanagement.GetManagedDatabaseAlertLogCount(ctx, &databasemanagement.GetManagedDatabaseAlertLogCountArgs{
ManagedDatabaseId: testManagedDatabase.Id,
GroupBy: pulumi.StringRef(managedDatabaseAlertLogCountGroupBy),
IsRegularExpression: pulumi.BoolRef(managedDatabaseAlertLogCountIsRegularExpression),
LevelFilter: pulumi.StringRef(managedDatabaseAlertLogCountLevelFilter),
LogSearchText: pulumi.StringRef(managedDatabaseAlertLogCountLogSearchText),
TimeGreaterThanOrEqualTo: pulumi.StringRef(managedDatabaseAlertLogCountTimeGreaterThanOrEqualTo),
TimeLessThanOrEqualTo: pulumi.StringRef(managedDatabaseAlertLogCountTimeLessThanOrEqualTo),
TypeFilter: pulumi.StringRef(managedDatabaseAlertLogCountTypeFilter),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Oci = Pulumi.Oci;
return await Deployment.RunAsync(() =>
{
var testManagedDatabaseAlertLogCount = Oci.DatabaseManagement.GetManagedDatabaseAlertLogCount.Invoke(new()
{
ManagedDatabaseId = testManagedDatabase.Id,
GroupBy = managedDatabaseAlertLogCountGroupBy,
IsRegularExpression = managedDatabaseAlertLogCountIsRegularExpression,
LevelFilter = managedDatabaseAlertLogCountLevelFilter,
LogSearchText = managedDatabaseAlertLogCountLogSearchText,
TimeGreaterThanOrEqualTo = managedDatabaseAlertLogCountTimeGreaterThanOrEqualTo,
TimeLessThanOrEqualTo = managedDatabaseAlertLogCountTimeLessThanOrEqualTo,
TypeFilter = managedDatabaseAlertLogCountTypeFilter,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.oci.DatabaseManagement.DatabaseManagementFunctions;
import com.pulumi.oci.DatabaseManagement.inputs.GetManagedDatabaseAlertLogCountArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var testManagedDatabaseAlertLogCount = DatabaseManagementFunctions.getManagedDatabaseAlertLogCount(GetManagedDatabaseAlertLogCountArgs.builder()
.managedDatabaseId(testManagedDatabase.id())
.groupBy(managedDatabaseAlertLogCountGroupBy)
.isRegularExpression(managedDatabaseAlertLogCountIsRegularExpression)
.levelFilter(managedDatabaseAlertLogCountLevelFilter)
.logSearchText(managedDatabaseAlertLogCountLogSearchText)
.timeGreaterThanOrEqualTo(managedDatabaseAlertLogCountTimeGreaterThanOrEqualTo)
.timeLessThanOrEqualTo(managedDatabaseAlertLogCountTimeLessThanOrEqualTo)
.typeFilter(managedDatabaseAlertLogCountTypeFilter)
.build());
}
}
variables:
testManagedDatabaseAlertLogCount:
fn::invoke:
function: oci:DatabaseManagement:getManagedDatabaseAlertLogCount
arguments:
managedDatabaseId: ${testManagedDatabase.id}
groupBy: ${managedDatabaseAlertLogCountGroupBy}
isRegularExpression: ${managedDatabaseAlertLogCountIsRegularExpression}
levelFilter: ${managedDatabaseAlertLogCountLevelFilter}
logSearchText: ${managedDatabaseAlertLogCountLogSearchText}
timeGreaterThanOrEqualTo: ${managedDatabaseAlertLogCountTimeGreaterThanOrEqualTo}
timeLessThanOrEqualTo: ${managedDatabaseAlertLogCountTimeLessThanOrEqualTo}
typeFilter: ${managedDatabaseAlertLogCountTypeFilter}
Using getManagedDatabaseAlertLogCount
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getManagedDatabaseAlertLogCount(args: GetManagedDatabaseAlertLogCountArgs, opts?: InvokeOptions): Promise<GetManagedDatabaseAlertLogCountResult>
function getManagedDatabaseAlertLogCountOutput(args: GetManagedDatabaseAlertLogCountOutputArgs, opts?: InvokeOptions): Output<GetManagedDatabaseAlertLogCountResult>def get_managed_database_alert_log_count(group_by: Optional[str] = None,
is_regular_expression: Optional[bool] = None,
level_filter: Optional[str] = None,
log_search_text: Optional[str] = None,
managed_database_id: Optional[str] = None,
time_greater_than_or_equal_to: Optional[str] = None,
time_less_than_or_equal_to: Optional[str] = None,
type_filter: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetManagedDatabaseAlertLogCountResult
def get_managed_database_alert_log_count_output(group_by: Optional[pulumi.Input[str]] = None,
is_regular_expression: Optional[pulumi.Input[bool]] = None,
level_filter: Optional[pulumi.Input[str]] = None,
log_search_text: Optional[pulumi.Input[str]] = None,
managed_database_id: Optional[pulumi.Input[str]] = None,
time_greater_than_or_equal_to: Optional[pulumi.Input[str]] = None,
time_less_than_or_equal_to: Optional[pulumi.Input[str]] = None,
type_filter: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetManagedDatabaseAlertLogCountResult]func GetManagedDatabaseAlertLogCount(ctx *Context, args *GetManagedDatabaseAlertLogCountArgs, opts ...InvokeOption) (*GetManagedDatabaseAlertLogCountResult, error)
func GetManagedDatabaseAlertLogCountOutput(ctx *Context, args *GetManagedDatabaseAlertLogCountOutputArgs, opts ...InvokeOption) GetManagedDatabaseAlertLogCountResultOutput> Note: This function is named GetManagedDatabaseAlertLogCount in the Go SDK.
public static class GetManagedDatabaseAlertLogCount
{
public static Task<GetManagedDatabaseAlertLogCountResult> InvokeAsync(GetManagedDatabaseAlertLogCountArgs args, InvokeOptions? opts = null)
public static Output<GetManagedDatabaseAlertLogCountResult> Invoke(GetManagedDatabaseAlertLogCountInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetManagedDatabaseAlertLogCountResult> getManagedDatabaseAlertLogCount(GetManagedDatabaseAlertLogCountArgs args, InvokeOptions options)
public static Output<GetManagedDatabaseAlertLogCountResult> getManagedDatabaseAlertLogCount(GetManagedDatabaseAlertLogCountArgs args, InvokeOptions options)
fn::invoke:
function: oci:DatabaseManagement/getManagedDatabaseAlertLogCount:getManagedDatabaseAlertLogCount
arguments:
# arguments dictionaryThe following arguments are supported:
- Managed
Database stringId - The OCID of the Managed Database.
- Group
By string - The optional parameter used to group different alert logs.
- Is
Regular boolExpression - The flag to indicate whether the search text is regular expression or not.
- Level
Filter string - The optional parameter to filter the alert logs by log level.
- Log
Search stringText - The optional query parameter to filter the attention or alert logs by search text.
- Time
Greater stringThan Or Equal To - The optional greater than or equal to timestamp to filter the logs.
- Time
Less stringThan Or Equal To - The optional less than or equal to timestamp to filter the logs.
- Type
Filter string - The optional parameter to filter the attention or alert logs by type.
- Managed
Database stringId - The OCID of the Managed Database.
- Group
By string - The optional parameter used to group different alert logs.
- Is
Regular boolExpression - The flag to indicate whether the search text is regular expression or not.
- Level
Filter string - The optional parameter to filter the alert logs by log level.
- Log
Search stringText - The optional query parameter to filter the attention or alert logs by search text.
- Time
Greater stringThan Or Equal To - The optional greater than or equal to timestamp to filter the logs.
- Time
Less stringThan Or Equal To - The optional less than or equal to timestamp to filter the logs.
- Type
Filter string - The optional parameter to filter the attention or alert logs by type.
- managed
Database StringId - The OCID of the Managed Database.
- group
By String - The optional parameter used to group different alert logs.
- is
Regular BooleanExpression - The flag to indicate whether the search text is regular expression or not.
- level
Filter String - The optional parameter to filter the alert logs by log level.
- log
Search StringText - The optional query parameter to filter the attention or alert logs by search text.
- time
Greater StringThan Or Equal To - The optional greater than or equal to timestamp to filter the logs.
- time
Less StringThan Or Equal To - The optional less than or equal to timestamp to filter the logs.
- type
Filter String - The optional parameter to filter the attention or alert logs by type.
- managed
Database stringId - The OCID of the Managed Database.
- group
By string - The optional parameter used to group different alert logs.
- is
Regular booleanExpression - The flag to indicate whether the search text is regular expression or not.
- level
Filter string - The optional parameter to filter the alert logs by log level.
- log
Search stringText - The optional query parameter to filter the attention or alert logs by search text.
- time
Greater stringThan Or Equal To - The optional greater than or equal to timestamp to filter the logs.
- time
Less stringThan Or Equal To - The optional less than or equal to timestamp to filter the logs.
- type
Filter string - The optional parameter to filter the attention or alert logs by type.
- managed_
database_ strid - The OCID of the Managed Database.
- group_
by str - The optional parameter used to group different alert logs.
- is_
regular_ boolexpression - The flag to indicate whether the search text is regular expression or not.
- level_
filter str - The optional parameter to filter the alert logs by log level.
- log_
search_ strtext - The optional query parameter to filter the attention or alert logs by search text.
- time_
greater_ strthan_ or_ equal_ to - The optional greater than or equal to timestamp to filter the logs.
- time_
less_ strthan_ or_ equal_ to - The optional less than or equal to timestamp to filter the logs.
- type_
filter str - The optional parameter to filter the attention or alert logs by type.
- managed
Database StringId - The OCID of the Managed Database.
- group
By String - The optional parameter used to group different alert logs.
- is
Regular BooleanExpression - The flag to indicate whether the search text is regular expression or not.
- level
Filter String - The optional parameter to filter the alert logs by log level.
- log
Search StringText - The optional query parameter to filter the attention or alert logs by search text.
- time
Greater StringThan Or Equal To - The optional greater than or equal to timestamp to filter the logs.
- time
Less StringThan Or Equal To - The optional less than or equal to timestamp to filter the logs.
- type
Filter String - The optional parameter to filter the attention or alert logs by type.
getManagedDatabaseAlertLogCount Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
List<Get
Managed Database Alert Log Count Item> - An array of the counts of different urgency or type of alert logs.
- Managed
Database stringId - The OCID of the Managed Database.
- Group
By string - Is
Regular boolExpression - Level
Filter string - Log
Search stringText - Time
Greater stringThan Or Equal To - Time
Less stringThan Or Equal To - Type
Filter string
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
[]Get
Managed Database Alert Log Count Item - An array of the counts of different urgency or type of alert logs.
- Managed
Database stringId - The OCID of the Managed Database.
- Group
By string - Is
Regular boolExpression - Level
Filter string - Log
Search stringText - Time
Greater stringThan Or Equal To - Time
Less stringThan Or Equal To - Type
Filter string
- id String
- The provider-assigned unique ID for this managed resource.
- items
List<Get
Managed Database Alert Log Count Item> - An array of the counts of different urgency or type of alert logs.
- managed
Database StringId - The OCID of the Managed Database.
- group
By String - is
Regular BooleanExpression - level
Filter String - log
Search StringText - time
Greater StringThan Or Equal To - time
Less StringThan Or Equal To - type
Filter String
- id string
- The provider-assigned unique ID for this managed resource.
- items
Get
Managed Database Alert Log Count Item[] - An array of the counts of different urgency or type of alert logs.
- managed
Database stringId - The OCID of the Managed Database.
- group
By string - is
Regular booleanExpression - level
Filter string - log
Search stringText - time
Greater stringThan Or Equal To - time
Less stringThan Or Equal To - type
Filter string
- id str
- The provider-assigned unique ID for this managed resource.
- items
Sequence[Get
Managed Database Alert Log Count Item] - An array of the counts of different urgency or type of alert logs.
- managed_
database_ strid - The OCID of the Managed Database.
- group_
by str - is_
regular_ boolexpression - level_
filter str - log_
search_ strtext - time_
greater_ strthan_ or_ equal_ to - time_
less_ strthan_ or_ equal_ to - type_
filter str
- id String
- The provider-assigned unique ID for this managed resource.
- items List<Property Map>
- An array of the counts of different urgency or type of alert logs.
- managed
Database StringId - The OCID of the Managed Database.
- group
By String - is
Regular BooleanExpression - level
Filter String - log
Search StringText - time
Greater StringThan Or Equal To - time
Less StringThan Or Equal To - type
Filter String
Supporting Types
GetManagedDatabaseAlertLogCountItem
Package Details
- Repository
- oci pulumi/pulumi-oci
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
ociTerraform Provider.
Viewing docs for Oracle Cloud Infrastructure v4.4.0
published on Thursday, Mar 26, 2026 by Pulumi
published on Thursday, Mar 26, 2026 by Pulumi
